Unit CPU_OBJ;
{$D+,L+}

INTERFACE

Uses Globals,Btrv,Btrv_IO;

Type
  DataRecord = record
  Case integer of
    1:(Name        : TypStr20;
       Location    : TypStr15;
       Dept        : LongInt;
       SysNum      : TypStr12;
       AssetNum    : TypStr10;
       SysMfg      : TypStr20;
       SerNum      : TypStr20;
       SysType     : TypStr12;
       SysSpeed    : TypStr6;
       BiosMfg     : TypStr20;
       BiosVer     : TypStr20;
       RAMSize     : TypStr8;
       RamType     : TypStr6;
       RamSpeed    : TypStr8;
       Status      : TypStr12;
       DatePur     : DateType;
       Invoice     : TypStr10;
       Vendor      : TypStr20;
       Price       : Single;
       Note1       : TypStr254;
       Note2       : TypStr254);
    2: (ByPosition : LongInt);                    { used by get position }
  end;

Type
  PtrCPU = ^TCPU;
  TCPU = object(TBT_IO)
    Fld : DataRecord;
    Constructor Init;
    Destructor Done; Virtual;
  end;

IMPLEMENTATION

Constructor TCPU.Init;
begin
  TBT_IO.Init;
  btDataRec      := @Fld;
  btDataRecLen   := Sizeof(DataRecord);
  btKeyBuff.IndxString := Spaces;
  btKey          := 0;
end;

Destructor TCPU.Done;
begin
  TBT_IO.Done;
end;

BEGIN
END.